searchNodes=[{"doc":"","ref":"Shopify.REST.html","title":"Shopify.REST","type":"module"},{"doc":"Send a request to Shopify.","ref":"Shopify.REST.html#request/2","title":"Shopify.REST.request/2","type":"function"},{"doc":"Ensures an HTTP query string passes HMAC verification. See verify_hmac_for_oauth/3 for more details. Example query = &quot;code=0907a61c0c8d55e99db179b68161bc00&amp;hmac=700e2dadb827fcc8609e9d5ce208b2e9cdaab9df07390d2cbca10d7c328fc4bf&amp;shop=some-shop.myshopify.com&amp;state=0.6784241404160823&amp;timestamp=1337178173&quot; shared_secret = &quot;hush&quot; {:ok, hmac} = Shopify.REST.verify_hmac_for_oauth(query, shared_secret)","ref":"Shopify.REST.html#verify_hmac_for_oauth/2","title":"Shopify.REST.verify_hmac_for_oauth/2","type":"function"},{"doc":"Verifies the Shopify HMAC signature. This function will compute an SHA256 HMAC digest based on the provided message and shared_secret. The digest is then compared to the hmac signature. If they match, verification has passed. Otherwise verification has failed. Example hmac = &quot;700e2dadb827fcc8609e9d5ce208b2e9cdaab9df07390d2cbca10d7c328fc4bf&quot; message = &quot;code=0907a61c0c8d55e99db179b68161bc00&amp;shop=some-shop.myshopify.com&amp;timestamp=1337178173&quot; shared_secret = &quot;hush&quot; {:ok, hmac} = Shopify.REST.verify_hmac_for_oauth(hmac, message, shared_secret)","ref":"Shopify.REST.html#verify_hmac_for_oauth/3","title":"Shopify.REST.verify_hmac_for_oauth/3","type":"function"},{"doc":"Same as verify_hmac_for_oauth/3 but intended to be used for verifying the signature of a webhook payload. Example hmac = &quot;ruonad9ilcg3rhfv89nkzi4x7kkh7jibyhxkbewugvi=&quot; body = &quot;&lt;webhook request body&gt;&quot; shared_secret = &quot;hush&quot; {:ok, hmac} = Shopify.REST.verify_hmac_for_webhook(hmac, body, shared_secret)","ref":"Shopify.REST.html#verify_hmac_for_webhook/3","title":"Shopify.REST.verify_hmac_for_webhook/3","type":"function"},{"doc":"","ref":"Shopify.REST.html#t:http_headers_t/0","title":"Shopify.REST.http_headers_t/0","type":"type"},{"doc":"","ref":"Shopify.REST.html#t:http_method_t/0","title":"Shopify.REST.http_method_t/0","type":"type"},{"doc":"","ref":"Shopify.REST.html#t:response_t/0","title":"Shopify.REST.response_t/0","type":"type"},{"doc":"Behaviour for implementing an HTTP client.","ref":"Shopify.REST.Client.html","title":"Shopify.REST.Client","type":"behaviour"},{"doc":"","ref":"Shopify.REST.Client.html#c:request/5","title":"Shopify.REST.Client.request/5","type":"callback"},{"doc":"","ref":"Shopify.REST.Client.html#t:response_t/0","title":"Shopify.REST.Client.response_t/0","type":"type"},{"doc":"","ref":"Shopify.REST.Client.Hackney.html","title":"Shopify.REST.Client.Hackney","type":"module"},{"doc":"Callback implementation for Shopify.REST.Client.request/5.","ref":"Shopify.REST.Client.Hackney.html#request/5","title":"Shopify.REST.Client.Hackney.request/5","type":"function"},{"doc":"","ref":"Shopify.REST.Config.html","title":"Shopify.REST.Config","type":"module"},{"doc":"","ref":"Shopify.REST.Config.html#new/1","title":"Shopify.REST.Config.new/1","type":"function"},{"doc":"","ref":"Shopify.REST.Config.html#t:t/0","title":"Shopify.REST.Config.t/0","type":"type"},{"doc":"","ref":"Shopify.REST.Helpers.Body.html","title":"Shopify.REST.Helpers.Body","type":"module"},{"doc":"","ref":"Shopify.REST.Helpers.Body.html#new/2","title":"Shopify.REST.Helpers.Body.new/2","type":"function"},{"doc":"","ref":"Shopify.REST.Operation.html","title":"Shopify.REST.Operation","type":"module"},{"doc":"","ref":"Shopify.REST.Operation.html#t:t/0","title":"Shopify.REST.Operation.t/0","type":"type"},{"doc":"","ref":"Shopify.REST.Request.html","title":"Shopify.REST.Request","type":"module"},{"doc":"","ref":"Shopify.REST.Request.html#send/2","title":"Shopify.REST.Request.send/2","type":"function"},{"doc":"","ref":"Shopify.REST.Request.html#send/3","title":"Shopify.REST.Request.send/3","type":"function"},{"doc":"","ref":"Shopify.REST.Response.html","title":"Shopify.REST.Response","type":"module"},{"doc":"","ref":"Shopify.REST.Response.html#new/3","title":"Shopify.REST.Response.new/3","type":"function"},{"doc":"","ref":"Shopify.REST.Response.html#t:t/0","title":"Shopify.REST.Response.t/0","type":"type"}]